package com.goafanti.cognizance.bo;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;

public class CognizanceOrgInfoBo {
	private String		uid;

	private String		cid;

	private String		unitName;

	private String		orgCode;

	private String		postalAddress;

	private Integer		contacts;

	private Integer		technicalField1;

	private Integer		technicalField2;

	private Integer		technicalField3;

	private BigDecimal	basicResearchCost;

	private Integer		largeOrder;

	private Integer		accident;

	private Integer		year;

	private String		certificateNumber;

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getCid() {
		return cid;
	}

	public void setCid(String cid) {
		this.cid = cid;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getPostalAddress() {
		return postalAddress;
	}

	public void setPostalAddress(String postalAddress) {
		this.postalAddress = postalAddress;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getContacts() {
		return contacts;
	}

	public void setContacts(Integer contacts) {
		this.contacts = contacts;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getTechnicalField1() {
		return technicalField1;
	}

	public void setTechnicalField1(Integer technicalField1) {
		this.technicalField1 = technicalField1;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getTechnicalField2() {
		return technicalField2;
	}

	public void setTechnicalField2(Integer technicalField2) {
		this.technicalField2 = technicalField2;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getTechnicalField3() {
		return technicalField3;
	}

	public void setTechnicalField3(Integer technicalField3) {
		this.technicalField3 = technicalField3;
	}

	public BigDecimal getBasicResearchCost() {
		return basicResearchCost;
	}

	public void setBasicResearchCost(BigDecimal basicResearchCost) {
		this.basicResearchCost = basicResearchCost;
	}


	public Integer getAccident() {
		return accident;
	}

	public void setAccident(Integer accident) {
		this.accident = accident;
	}

	public Integer getLargeOrder() {
		return largeOrder;
	}

	public void setLargeOrder(Integer largeOrder) {
		this.largeOrder = largeOrder;
	}

	public Integer getYear() {
		return year;
	}

	public void setYear(Integer year) {
		this.year = year;
	}

	public String getCertificateNumber() {
		return certificateNumber;
	}

	public void setCertificateNumber(String certificateNumber) {
		this.certificateNumber = certificateNumber;
	}

}
